﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace WpfApp70
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
            var source = new ObservableCollection<RowInfo>();
            for (int i = 0; i < 100; i++)
            {
                source.Add(new RowInfo()
                {
                    MyProperty = "MP" + i,
                    MyProperty1 = "M1P" + i,
                    MyProperty2 = "MP2" + i,
                    MyProperty3 = "MP3" + i,
                    MyProperty4 = "MP4" + i,
                });
            }
            this.gridView.ItemsSource = source;
        }
    }

    public class RowInfo
    {
        public string MyProperty { get; set; }
        public string MyProperty1 { get; set; }
        public string MyProperty2 { get; set; }
        public string MyProperty3 { get; set; }
        public string MyProperty4 { get; set; }
    }
}
